GLUQUADRICCALLBACK(3G)

NAME
gluQuadricCallback - define a callback for a quadrics object

C SPECIFICATION
void gluQuadricCallback( GLUquadric* quad,
	GLenum which,
	_GLUfuncptr CallBackFunc )

PARAMETERS

quad
    Specifies the quadrics object (created with gluNewQuadric).

which
    Specifies the callback being defined. The only valid value is GLU_ERROR.

CallBackFunc
    Specifies the function to be called.

DESCRIPTION
gluQuadricCallback is used to define a new callback to be used by a quadrics object. If the specified callback is already defined, then it is replaced. If CallBackFunc is NULL, then any existing callback is erased.

The one legal callback is GLU_ERROR:

GLU_ERROR
    The function is called when an error is encountered. Its single argument is of type GLenum, and it indicates the specific error that occurred. Character strings describing these errors can be retrieved with the gluErrorString call.

SEE ALSO
gluErrorString(3G), gluNewQuadric(3G)